Appearance
Get one state of an entity ​
http
GET https://api.onehazel.com/operator-data-api/entities/{externalId}/state/{key}Section: Data ingestion
Operation id: getOperatorDataApiEntitiesByExternalIdStateByKey
Authentication ​
Operator API key (Authorization: Bearer oh_live_...).
Parameters ​
| Name | In | Required | Description |
|---|---|---|---|
externalId | path | yes | |
key | path | yes |
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X GET "https://api.onehazel.com/operator-data-api/entities/{externalId}/state/{key}" \
-H "Authorization: Bearer oh_live_YOUR_API_KEY"Machine-readable: openapi.yaml, openapi.json.